#!/bin/sh
set -e

CD_VERSION=CellDesigner4.0.1
CD_PREFIX=/Applications/${CD_VERSION}

if [ "$1" != "" ]; then
  CD_PREFIX=$1
fi

JASTUB=/System/Library/Frameworks/JavaVM.framework/Resources/MacOS/JavaApplicationStub
JASTUB_FIX=${CD_PREFIX}/${CD_VERSION}.app/Contents/MacOS/JavaApplicationStub

if [ -e ${CD_PREFIX}/${CD_VERSION}.app/Contents/MacOS/JavaApplicationStub ]; then
  echo rm -f ${CD_PREFIX}/${CD_VERSION}.app/Contents/MacOS/JavaApplicationStub
  rm -f ${CD_PREFIX}/${CD_VERSION}.app/Contents/MacOS/JavaApplicationStub
fi

if file ${JASTUB} | grep x86_64; then 
  echo lipo ${JASTUB} -remove x86_64 -output ${JASTUB_FIX}
  lipo ${JASTUB} -remove x86_64 -output ${JASTUB_FIX}
else
  echo cp ${JASTUB} ${JASTUB_FIX}
  cp ${JASTUB} ${JASTUB_FIX}
fi

echo 
echo "Successfully Finished!"
